// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:wyatt_architecture/src/domain/data_sources/base_data_source.dart';

/// {@template base_remote_data_source}
/// [BaseRemoteDataSource] is a base class for all remote data sources in the
/// wyatt architecture.
/// {@endtemplate}
abstract class BaseRemoteDataSource extends BaseDataSource {
  /// {@macro base_remote_data_source}
  const BaseRemoteDataSource();
}
